Download it now!
Bug 118748 - Accessibility events missing when Calc cells become unselected due to navigating to focused cell
Summary: Accessibility events missing when Calc cells become unselected due to navigat...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.5.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility, bibisectRequest, regression
Depends on:
Blocks: a11y-Linux
  Show dependency treegraph
 
Reported: 2018-07-13 16:16 UTC by Joanmarie Diggs
Modified: 2021-01-18 04:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
aforementioned pyatspi accessible-event listener (277 bytes, text/x-python)
2018-07-13 16:16 UTC, Joanmarie Diggs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs 2018-07-13 16:16:14 UTC
Description:
Because Calc doesn't notify Orca when all the cells become unselected, Orca cannot notify the user.

Steps to Reproduce:
Test case 1:
1. Launch the attached pyatspi accessible-event listener in a terminal
2. Launch Calc and give focus to the spreadsheet table
3. With A1 focused, press Shift + Right to select B1 and again to press C1
4. Press Home clearing the selection. Focus will be in A1.

Test case 2:
1. Launch the attached pyatspi accessible-event listener in a terminal
2. Launch Calc and give focus to the spreadsheet table
3. With C1 focused, press Shift + Left to select B1 and again to press A1
4. Press End clearing the selection. Focus will be in C1.


Actual Results:
After step 3 the listener prints out the object:selection-changed event received.

After step 4 the listener fails to print out an object:selection-changed event.

Expected Results:
After step 3 and step 4, the listener would print out an object:selection-changed event because the selection changed in each of those steps.


Reproducible: Always


User Profile Reset: No



Additional Info:
The expected events are seen in both steps 3 and 4 if you modify the steps to reproduce as described below.

Test case 1:
4. Press End (rather than Home) clearing the selection. Focus will move from A1 to C1.

Test case 2:
4. Press Home (rather than End) clearing the selection. Focus will move from C1 to A1.
Comment 1 Joanmarie Diggs 2018-07-13 16:16:45 UTC
Created attachment 143538 [details]
aforementioned pyatspi accessible-event listener
Comment 2 Alex ARNAUD 2018-08-02 17:55:17 UTC
Hello all,

I confirm the issue on Debian 9 "Stretch" with LibreOfficeDev 6.2.0.0.alpha0+
Build ID: d0a481d09e696f6d5a2a0d40a9d5c48cfca559bf.

Best regards,
Alex.
Comment 3 Xisco Faulí 2018-08-07 17:14:09 UTC
it works in

Version: 4.1.0.0.alpha1+
Build ID: a2c9d4f8bbde97f175bae4df771273a61251f40

Adding regression keyword
Comment 4 QA Administrators 2021-01-18 04:08:07 UTC
Dear Joanmarie Diggs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug